/********************************************************************** 
 * Copyright (c) 2006 IBM Corporation and others. 
 * All rights reserved.   This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0 
 * which accompanies this distribution, and is available at 
 * http://www.eclipse.org/legal/epl-v10.html         
 * 
 * Contributors: 
 * IBM - Initial API and implementation 
 **********************************************************************/ 
package org.eclipse.cosmos.rm.validation.internal.common;

import org.eclipse.osgi.util.NLS;

public class SMLMessages extends NLS 
{

	private static final String BUNDLE_NAME = "org.eclipse.cosmos.rm.validation.internal.common.messages";//$NON-NLS-1$
	
	private SMLMessages() 
	{
		// Do not instantiate
	}
	
	public static String commonError;
	
	public static String outputLineNumber;
	public static String outputSeverity;
	public static String outputSeverityError;
	public static String outputSeverityWarning;
	public static String outputSeverityInfo;
	public static String outputSystem;
	
	public static String errorMarkerOutput;
	public static String errorReferenceNullURI;
	public static String errorBaseNullURI;
	public static String errorInvalidURI;
	public static String errorMissingExpression;
	public static String errorUnclosedExpression;
	public static String errorCSNotNumber;
	public static String errorMissingContext;
	public static String errorBadContext;
	public static String errorMissingXPathFactory;
	public static String errorMissingXPathInstance;
	public static String errorBadXPathExpression;
	public static String errorMissingNamespace;
	public static String errorBadNSExpression;
	public static String errorBadPrefix;
	public static String errorBadURI;
	public static String errorUnbalancedBracket;
	public static String errorWrongReturnType;
	public static String errorWrongReturnScope;
	public static String errorMissingStructure;
	public static String errorDetermineName;
	public static String errorWrongType;
	public static String errorValidatorInstantiation;
	public static String errorIllegalArguments;
	public static String errorCreatingDocument;
	public static String errorInstantiating;
	public static String errorClassNotFound;
	public static String errorMissingDocument;
	public static String errorParsingDocument;
	public static String errorMissingFile;	
	
	static 
	{
		NLS.initializeMessages(BUNDLE_NAME, SMLMessages.class);
	}
}

