/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.core;

import org.xml.sax.ContentHandler;

public interface IXMLValidator extends ContentHandler, IValidator {
	
	/**
	 * Indicates to use the default XML schema validation.
	 * This is the default value for the MainValidator.ATTRIBUTE_VALDIATION_XML attribute
	 */
	public String DEFAULT_VALIDATION_XML_LITERAL = "default.validation.xml";
}
