/**********************************************************************
 * Copyright (c) 2006 IBM Corporation and others.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors: 
 * IBM - Initial API and implementation
 **********************************************************************/
package org.eclipse.cosmos.rm.validation.internal.reference;

/**
 * This exception is thrown when the context of a XPointer expression
 * is missing or unrecognized.
 * 
 * @author Ali Mehregani
 */
public class BadContextException extends Exception
{
	/**
	 * The serial version UID
	 */
	private static final long serialVersionUID = 4289762627990829096L;

	
	/**
	 * Constructor
	 * @param message An message indicating the error
	 */
	public BadContextException(String message)
	{
		super(message);
	}
}
